/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 15:00:21.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.utils.HttpUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 题库业务服务接口
 */
@Service
public class QuestionPoolService {
    private static Logger log = LoggerFactory.getLogger(QuestionPoolService.class);
    @Autowired
    private PropertyService propertyService;

    public String downloadPaper(String paperId, String orgName) throws Exception {
        //封装请求参数
        return String.format("%s/api/ecs_ques/paper/export/%s/PAPER/%s/%s/offLine", propertyService.getQuestionPoolUrl(), paperId, orgName, paperId);
    }

    public Result getPaperDetail(String key, String token, String paperId) throws Exception {
        //封装请求参数
        final String requestUrl = String.format("%s/api/ecs_ques/paper/%s", propertyService.getQuestionPoolUrl(), paperId);
        Result<String> result = HttpUtils.doGet(requestUrl, key, token);
        if (result.isSuccess()) {
            //过滤掉为空的属性
            result.setData(HttpUtils.filterNullAttributes(result.getData()));
        }
        return result;
    }

}